ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/configuration
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/configuration' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "adapter": 0, "supportedAdapters": [ { … } ] }
- Mock server
http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/configuration
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/configuration' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"adapter": 0
}'Response
application/json
{ "adapter": 0 }
- Mock server
http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/temperature-status
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/temperature-status' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "currentTemperature": 0.1, "targetTemperature": 0.1 }
- Mock server
http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/start-temperature-control
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/start-temperature-control' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json'- Mock server
http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/stop-temperature-control
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/thermal-device/hhc/stop-temperature-control' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'